=== debian/changelog ===
cloudstack (4.20.2.0) unstable; urgency=low

  * Update the version to 4.20.2.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 16 Oct 2025 11:42:56 +0200

cloudstack (4.20.2.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.20.2.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 29 Jan 2024 10:21:52 +0530

cloudstack (4.20.1.0) unstable; urgency=low

  * Update the version to 4.20.1.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Fri, 30 May 2025 12:43:00 +0530

cloudstack (4.20.1.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.20.1.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Tue, 19 Nov 2024 08:54:07 -0300

cloudstack (4.20.1.0-SNAPSHOT-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.20.1.0-SNAPSHOT-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 29 Jan 2024 10:21:52 +0530

cloudstack (4.19.0.0) unstable; urgency=low

  * Update the version to 4.19.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 29 Jan 2024 10:21:52 +0530

cloudstack (4.18.1.0) unstable; urgency=low

  * Update the version to 4.18.1.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 21 Jun 2023 12:30:00 +0200

cloudstack (4.18.0.0) unstable; urgency=low

  * Update the version to 4.18.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Sat, 11 Mar 2023 09:35:41 +0100

cloudstack (4.17.1.0) unstable; urgency=low

  * Update the version to 4.17.1.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Fri, 23 Sep 2022 17:32:43 +0530

cloudstack (4.17.0.1) unstable; urgency=low

  * Update the version to 4.17.0.1

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Fri, 15 Jul 2022 18:18:39 +0530

cloudstack (4.17.0.0) unstable; urgency=low

  * Update the version to 4.17.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Tue, 31 May 2022 14:33:47 -0300

cloudstack (4.17.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.17.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 10 Nov 2021 12:31:57 -0300

cloudstack (4.16.0.0) unstable; urgency=low

  * Update the version to 4.16.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 04 Nov 2021 14:14:57 -0300

cloudstack (4.16.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.16.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Tue, 11 Jan 2021 10:51:02 +0000

cloudstack (4.15.0.0) unstable; urgency=low

  * Update the version to 4.15.0.0

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 23 Dec 2020 16:32:25 +0000

cloudstack (4.15.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.15.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 11 May 2020 15:03:14 +0100

cloudstack (4.15.0.0-SNAPSHOT-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.15.0.0-SNAPSHOT-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 14 Mar 2019 10:11:46 -0300

cloudstack (4.15.0.0-SNAPSHOT-SNAPSHOT-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.15.0.0-SNAPSHOT-SNAPSHOT-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 15 Jan 2018 17:42:30 +0530

cloudstack (4.11.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.11.0.0-SNAPSHOT

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 03 Jul 2017 10:06:42 +0530

cloudstack (4.10.0.0-SNAPSHOT) unstable; urgency=low

  * Update the version to 4.10.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Mon, 08 Aug 2016 11:22:34 +0530

cloudstack (4.9.0) unstable; urgency=low

  [ Remi Bergsma ]
  * Update the version to 4.9.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Wed, 20 Jan 2016 23:43:35 +0100

cloudstack (4.8.0-SNAPSHOT) unstable; urgency=low

  [ Remi Bergsma ]
  * Update the version to 4.8.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Sun, 21 Dec 2015 22:11:55 +0100

cloudstack (4.7.0-SNAPSHOT) unstable; urgency=low

  [ Remi Bergsma ]
  * Update the version to 4.7.0.snapshot

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Sun, 15 Nov 2015 21:28:33 +0100

cloudstack (4.6.0-SNAPSHOT) unstable; urgency=low

  [ Hugo Trippaers ]
  * Update the version to 4.6.0.snapshot

  [ Rafael da Fonseca ]
  * Switch to dpkg-source 3.0 (native) format

 -- the Apache CloudStack project <dev@cloudstack.apache.org>  Thu, 18 Jun 2015 11:17:09 +0200

cloudstack (4.5.0-snapshot) unstable; urgency=low

  * Update the version to 4.5.0.snapshot

 -- Hugo Trippaers <hugo@apache.org>  Thu, 21 Nov 2013 12:00:00 -0400

cloudstack (4.4.0-snapshot) unstable; urgency=low

  * Update the version to 4.4.0.snapshot

 -- Hugo Trippaers <hugo@apache.org>  Thu, 21 Nov 2013 12:00:00 -0400

cloudstack (4.3.0-snapshot) unstable; urgency=low

  * Update the version to 4.3.0.snapshot

 -- Chip Childers <chipchilders@apache.org>  Thu, 1 Aug 2013 12:00:00 -0400

cloudstack (4.2.0) unstable; urgency=low

  * Update the version to 4.2.0 to be in sync with Maven (again)

 -- Wido den Hollander <wido@widodh.nl>  Tue, 14 May 2013 15:56:42 +0200

cloudstack (4.2.0-incubating-0.0.snapshot) unstable; urgency=low

  * Update the version to 4.2.0 to be in sync with Maven

 -- Wido den Hollander <wido@widodh.nl>  Wed, 13 Mar 2013 19:15:00 +0100

cloudstack (4.1.0-incubating-0.0.snapshot) unstable; urgency=low

  * Incorporate incubating into version, remove epoch

 -- Noa Resare <noa@spotify.com>  Tue, 05 Feb 2013 18:05:28 +0000

cloud (1:4.0.0-1) unstable; urgency=low

  * Bumping the version to 4.0.0

 -- Chip Childers <chipchilders@apache.org>  Fri, 5 Oct 2012 16:00:00 -0500

cloud (1:4.0.0-beta6) unstable; urgency=low

  * Bumping the version to 4.0 Beta 6


